View Issue Details

IDProjectCategoryView StatusLast Update
0026868Open CASCADEOCCT:Configurationpublic2016-04-20 15:50
ReporteribsAssigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
OSUbuntu 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026868: Configuration, Cmake - the libraries of TBB and VTK (in default place) are not found on Ubuntu by configuration process
Descriptionthe libraries of TBB and VTK (in default place /usr/lib) are not found by configuration process
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Activities

git

2015-11-16 19:23

administrator   ~0048250

Branch CR26868 has been created by ibs.

SHA-1: cae050767194698a1d4c98d2fa20d3aae305884a


Detailed log of new commits:

Author: ibs
Date: Mon Nov 16 19:23:08 2015 +0300

    0026868: Configuration, Cmake - the libraries of TBB and VTK (in default place) are not found on Ubuntu by configuration process
    
    tbb search rewrite

Author: ibs
Date: Mon Nov 16 14:05:54 2015 +0300

    0026875: Freetype library and header folder is not found by CMake configuration process in specified location
    
    freetype search algo rewrite completely

git

2015-11-16 19:30

administrator   ~0048251

Branch CR26868 has been updated forcibly by ibs.

SHA-1: 4d735824384545e28c735c129285a48822807c7b

git

2015-11-16 19:37

administrator   ~0048252

Branch CR26868 has been updated forcibly by ibs.

SHA-1: 97632b66f2030859347e2b01334b7c4ec666b982

git

2015-11-16 19:42

administrator   ~0048253

Branch CR26868 has been updated forcibly by ibs.

SHA-1: 6cf8c9c7384cd27474a224c54c43a25df37f70b0

git

2015-11-17 10:49

administrator   ~0048267

Branch CR26868 has been updated by ibs.

SHA-1: 29a54ab3a8a7a0aa7dee126cc086e7ca48c4da70


Detailed log of new commits:

Author: ibs
Date: Tue Nov 17 10:49:38 2015 +0300

    tbbmalloc search added

git

2015-11-17 10:53

administrator   ~0048268

Branch CR26868 has been updated by ibs.

SHA-1: 08a145d1bb58dce00a992921e070a2a84cdd716e


Detailed log of new commits:

Author: ibs
Date: Tue Nov 17 10:53:53 2015 +0300

    3rdparty_dir is not specified by-default

git

2015-11-17 11:00

administrator   ~0048270

Branch CR26868 has been updated forcibly by ibs.

SHA-1: b26957c7fe58a69d6840dcf270ba34221b667c99

git

2015-11-17 13:41

administrator   ~0048278

Branch CR26868 has been updated by ibs.

SHA-1: 47a884dbfba720a7ba1ba8ee6edcdf2005ac17a4


Detailed log of new commits:

Author: ibs
Date: Tue Nov 17 13:40:47 2015 +0300

    vtk search updated

Author: ibs
Date: Tue Nov 17 11:57:24 2015 +0300

    tbb and freetype algos updated

Author: ibs
Date: Tue Nov 17 11:12:09 2015 +0300

    type of tbb variables updated

Author: ibs
Date: Tue Nov 17 11:10:04 2015 +0300

    type of freetype variables updated

git

2015-11-17 15:33

administrator   ~0048283

Branch CR26868 has been updated by ibs.

SHA-1: 8ae22afdd3a1a6e295c8582ebb9821069df2f37c


Detailed log of new commits:

Author: ibs
Date: Tue Nov 17 15:31:26 2015 +0300

    vtk directories are found with using target properties

git

2015-11-17 17:02

administrator   ~0048311

Branch CR26868_1 has been created by ibs.

SHA-1: 4e7fd9719ff7f7fe19594ca3f63c7c7c95053cc4


Detailed log of new commits:

Author: ibs
Date: Mon Nov 16 19:23:08 2015 +0300

    0026868: Configuration, Cmake - the libraries of TBB and VTK (in default place) are not found on Ubuntu by configuration process
    
    tbb/tbbmalloc/vtk search rewrite
    
    3rdparty_dir is not specified by-default
    
    vtk installation disabled
    
    Conflicts:
    
        adm/cmake/vtk.cmake

Author: ibs
Date: Mon Nov 16 14:05:54 2015 +0300

    0026875: Freetype library and header folder is not found by CMake configuration process in specified location
    
    freetype search algo rewrite completely

git

2015-11-17 18:07

administrator   ~0048314

Branch CR26868_1 has been updated forcibly by ibs.

SHA-1: 167d1001f51423dc6035da51dcce2555289fafe0

git

2015-11-17 18:54

administrator   ~0048318

Branch CR26868_1 has been updated by ibs.

SHA-1: fa198dfd064aed724ae51d0e13dae25b1606c2ec


Detailed log of new commits:

Author: ibs
Date: Tue Nov 17 18:43:02 2015 +0300

    regex template optimized to search a header

git

2015-11-18 12:32

administrator   ~0048342

Branch CR26868_1 has been updated by ibs.

SHA-1: 78f188a0582cebaab91a4ac58e847c572f777f86


Detailed log of new commits:

Author: ibs
Date: Wed Nov 18 12:31:37 2015 +0300

    two required VTK libraries (vtkRenderingFreeType vtkRenderingFreeTypeOpenGL) linked with TKIVtk

git

2015-11-18 12:58

administrator   ~0048345

Branch CR26868_1 has been updated by ibs.

SHA-1: 07f2a91bcec7e362d689541379ccfe172653a51b


Detailed log of new commits:

Author: ibs
Date: Wed Nov 18 12:58:35 2015 +0300

    suffixes of searched 3rdparty libraries are defined

bugmaster

2015-11-23 13:47

administrator   ~0048473

Problem is fixed by correction for 0026903

git

2016-04-17 14:14

administrator   ~0053099

Branch CR26868 has been deleted by kgv.

SHA-1: 8ae22afdd3a1a6e295c8582ebb9821069df2f37c

git

2016-04-17 14:14

administrator   ~0053100

Branch CR26868_1 has been deleted by kgv.

SHA-1: 07f2a91bcec7e362d689541379ccfe172653a51b

Issue History

Date Modified Username Field Change
2015-11-13 13:12 ibs New Issue
2015-11-13 13:12 ibs Assigned To => ibs
2015-11-16 19:23 git Note Added: 0048250
2015-11-16 19:30 git Note Added: 0048251
2015-11-16 19:37 git Note Added: 0048252
2015-11-16 19:42 git Note Added: 0048253
2015-11-17 10:49 git Note Added: 0048267
2015-11-17 10:53 git Note Added: 0048268
2015-11-17 11:00 git Note Added: 0048270
2015-11-17 13:41 git Note Added: 0048278
2015-11-17 15:33 git Note Added: 0048283
2015-11-17 17:02 git Note Added: 0048311
2015-11-17 18:07 ibs Status new => resolved
2015-11-17 18:07 ibs Steps to Reproduce Updated
2015-11-17 18:07 ibs Assigned To ibs => bugmaster
2015-11-17 18:07 ibs Status resolved => reviewed
2015-11-17 18:07 git Note Added: 0048314
2015-11-17 18:54 git Note Added: 0048318
2015-11-18 12:32 git Note Added: 0048342
2015-11-18 12:58 git Note Added: 0048345
2015-11-23 13:47 bugmaster Note Added: 0048473
2015-11-23 13:47 bugmaster Status reviewed => tested
2015-11-23 17:15 bugmaster Status tested => verified
2015-11-23 17:15 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053099
2016-04-17 14:14 git Note Added: 0053100
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.